UbixOS V2 2.0

Data Fields
ubthread_mutex Struct Reference

`#include <ubthread.h>`

Collaboration diagram for ubthread_mutex:

## Data Fields
int | id
bool | lock
pidType | pid

## Detailed Description

Definition at line 52 of file ubthread.h.

## Field Documentation

## ◆ id

int ubthread_mutex::id

Definition at line 53 of file ubthread.h.

Referenced by ubthread_mutex_init().

## ◆ lock

bool ubthread_mutex::lock

Definition at line 54 of file ubthread.h.

Referenced by ubthread_mutex_init(), ubthread_mutex_lock(), and ubthread_mutex_unlock().

## ◆ pid

pidType ubthread_mutex::pid

Definition at line 55 of file ubthread.h.

Referenced by ubthread_mutex_lock(), and ubthread_mutex_unlock().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/ubthread.h